Page MenuHomePhabricator

MediaWiki's Calendar widget has no documentation
Closed, ResolvedPublic

Description

I was looking for a calendar widget to use for T120733. I'd like to use the OOjs UI widget instead of the jQuery UI one, but the OOjs UI one doesn't have any documentation. (In fact, I didn't even realize it existed until Bryan told me.)

I started a stub for documenting it here: https://www.mediawiki.org/wiki/OOjs_UI/Widgets/Calendar

It should also be added to the demos here: https://doc.wikimedia.org/oojs-ui/master/demos/

Event Timeline

kaldari created this task.Sep 10 2016, 7:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2016, 7:00 PM

Lies! https://doc.wikimedia.org/mediawiki-core/master/js/#!/api/mw.widgets.DateInputWidget

The widget is technically part of MediaWiki, not OOjs UI itself, hence the confusing location. It's because it requires a lot of localisation and we can't seem to decide whether and how OOjs UI should pull in all the necessary data or support libraries (T91148).

kaldari closed this task as Resolved.EditedSep 11 2016, 3:22 AM
kaldari claimed this task.

@matmarex: Thanks for the tip. I moved and expanded my documentation stub: https://www.mediawiki.org/wiki/Manual:DateInputWidget

Any additions are welcome :)

Jdforrester-WMF renamed this task from OOjs UI Calendar widget has no documentation to MediaWiki's Calendar widget has no documentation.Sep 19 2016, 3:48 PM
Jdforrester-WMF removed a project: OOUI.